Developers
API ReferenceVacation Available

Retrieves the collection of VacationAvailable resources.

GET
/calendar/vacation-availables

Retrieves the collection of VacationAvailable resources.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
search?string
calendarUser?string
calendarUser[]?array<string>
year?integer
year[]?array<integer>
calendarUser.canLogIn?boolean
order[year]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[calendarUser.lastName]?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

curl -X GET "https://example.com/calendar/vacation-availables"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "year": 0,    "daysTransferred": 0,    "daysCurrentYear": 0,    "daysAvailable": 0,    "daysUsed": 0,    "calendarUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": true,      "isExternal": true,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string",      "decorator": "string"    },    "permissions": {      "canManage": null    }  }]